{% extends "layout.html.twig" %}

{% block content %}
	<div class="row">
		<a href="{{ BASE_URL }}/Auteur/creerAuteur/"> Ajouter un Auteur </a>
		<table border="2">
			<caption>Recapitulatif des Auteurs</caption>
			<thead>
			<tr>
				<th>nom</th>
				<th>prenom</th>
				<th>nombre d'oeuvres</th>
				<th>opérations</th>
			</tr>
			</thead>
			<tbody>
			{% if auteurs is not empty %}
				{% for auteur in auteurs %}
					<tr>
						<td>
							{{ auteur.nomAuteur }}
						</td>
						<td>
							{{ auteur.prenomAuteur }}
						</td>
						<td>
							{{ auteur.nbrOeuvre }}
						</td>
						<td>
							<a href="{{ BASE_URL }}/Auteur/modifierAuteur/{{ auteur.idAuteur }}">modifier</a>
							<a href="{{ BASE_URL }}/Auteur/supprimerAuteur/{{ auteur.idAuteur }}">supprimer</a>
						</td>
					</tr>
				{% endfor %}
			{% else %}
				<tr>
					<td> pas d'auteur dans la base de données</td>
				</tr>
			{% endif %}
			<tbody>
		</table>
	</div>
{% endblock %}